/* Library for 3rd party winsock.dll. */!!

inherit(ProvidedLibs, #WinsockLib, nil, 2, nil)!!

now(class(WinsockLib))!!

/* semiPRIVATE -- should only be called via require(WinsockLib)
   Define entry points and load library.  Define any structs required.
*/
Def provide(self, path)
{
  ^initialise(new(self:ancestor), path);
}!!

now(WinsockLib)!!

/* PRIVATE
   Define all entry points for library as prototypes.
*/
Def addImportProcs(self)
{
}!!